%define mod_name XML-Writer
Name:           perl-XML-Writer
Version:        0.900
Release:        2
Summary:        Module for writing XML documents
License:        CC0
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JOSEPHW/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gcc perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(Carp) perl(IO::Handle) perl(overload) perl(vars)
BuildRequires:  perl(Algorithm::Diff) perl(Encode) perl(IO::File) perl(Errno)
BuildRequires:  perl(warnings) perl(Test::More) >= 0.047 perl(Test::Pod) >= 1.00

Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%package_help

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install

%check
make test

%pre

%preun

%post

%postun

%files
%doc Changes examples LICENSE README TODO
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*.3*

%changelog
* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 0.900-2
- define mod_name to opitomize the specfile

* Fri Jan 29 2021 liudabo <liudabo1@huawei.com> - 0.900-1
- upgrade version to 0.900

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 0.625-14
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded build requires of perl(IO::Scalar) and perl(Test::Pod::Coverage)

* Sat Sep 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.625-13
- Package init
